# Omnidex

## Get Omnidex event by ID.

> This returns an Omnidex event matching the provided ID.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/omnidex/events/{event_id}":{"get":{"operationId":"GetOmnidexEventByIdAPISpec_get_/events/{event_id}","tags":["Omnidex"],"summary":"Get Omnidex event by ID.","description":"This returns an Omnidex event matching the provided ID.","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OmnidexEvent","description":"The matching event."}}}},"400":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}},"components":{"schemas":{"OmnidexEvent":{"anyOf":[{"additionalProperties":false,"type":"object","properties":{"category":{"$ref":"#/components/schemas/OmnidexEventCategory"},"decklists":{"type":"boolean"},"description":{"type":"string"},"format":{"type":"string","enum":["team-standard-3v3"]},"host":{"$ref":"#/components/schemas/OmnidexEventHost"},"id":{"type":"number"},"judges":{"type":"array","items":{"type":"number"}},"name":{"type":"string"},"players":{"type":"array","items":{"type":"number"}},"ranked":{"type":"boolean"},"setting":{"$ref":"#/components/schemas/OmnidexEventSetting"},"singleEliminationMatchConfig":{"anyOf":[{"enum":["bo1","bo3","bo5"],"type":"string"}],"nullable":true},"singleEliminationCutSize":{"type":"number"},"stages":{"type":"array","items":{"$ref":"#/components/schemas/OmnidexEventStage"}},"status":{"$ref":"#/components/schemas/OmnidexEventStatus"},"startAt":{"type":"string"},"startedAt":{"type":"string","nullable":true},"swissMatchConfig":{"$ref":"#/components/schemas/OmnidexEventMatchConfig"},"swissRounds":{"type":"number"},"type":{"$ref":"#/components/schemas/OmnidexEventType"},"url":{"type":"string"},"vpMultiplier":{"type":"number"},"teamSize":{"type":"number"},"teams":{"type":"array","items":{"type":"string"}}},"required":["category","decklists","description","format","host","id","judges","name","players","ranked","setting","singleEliminationCutSize","singleEliminationMatchConfig","stages","startAt","startedAt","status","swissMatchConfig","swissRounds","teamSize","teams","type","url","vpMultiplier"]},{"additionalProperties":false,"type":"object","properties":{"category":{"$ref":"#/components/schemas/OmnidexEventCategory"},"decklists":{"type":"boolean"},"description":{"type":"string"},"format":{"$ref":"#/components/schemas/OmnidexEventFormat1v1"},"host":{"$ref":"#/components/schemas/OmnidexEventHost"},"id":{"type":"number"},"judges":{"type":"array","items":{"type":"number"}},"name":{"type":"string"},"players":{"type":"array","items":{"type":"number"}},"ranked":{"type":"boolean"},"setting":{"$ref":"#/components/schemas/OmnidexEventSetting"},"singleEliminationMatchConfig":{"anyOf":[{"enum":["bo1","bo3","bo5"],"type":"string"}],"nullable":true},"singleEliminationCutSize":{"type":"number"},"stages":{"type":"array","items":{"$ref":"#/components/schemas/OmnidexEventStage"}},"status":{"$ref":"#/components/schemas/OmnidexEventStatus"},"startAt":{"type":"string"},"startedAt":{"type":"string","nullable":true},"swissMatchConfig":{"$ref":"#/components/schemas/OmnidexEventMatchConfig"},"swissRounds":{"type":"number"},"type":{"$ref":"#/components/schemas/OmnidexEventType"},"url":{"type":"string"},"vpMultiplier":{"type":"number"}},"required":["category","decklists","description","format","host","id","judges","name","players","ranked","setting","singleEliminationCutSize","singleEliminationMatchConfig","stages","startAt","startedAt","status","swissMatchConfig","swissRounds","type","url","vpMultiplier"]}]},"OmnidexEventCategory":{"enum":["ascent","nationals","regionals","regular","store-championships","worlds"],"type":"string"},"OmnidexEventHost":{"type":"object","properties":{"address":{"type":"string"},"addressCountryCode":{"type":"string"},"id":{"type":"number"},"name":{"type":"string"}},"additionalProperties":false,"required":["address","addressCountryCode","id","name"]},"OmnidexEventSetting":{"enum":["online","physical"],"type":"string"},"OmnidexEventStage":{"type":"object","properties":{"id":{"type":"number"},"status":{"$ref":"#/components/schemas/OmnidexEventStageStatus"},"type":{"$ref":"#/components/schemas/OmnidexEventStageType"}},"additionalProperties":false,"required":["id","status","type"]},"OmnidexEventStageStatus":{"enum":["completable","complete","started","waiting"],"type":"string"},"OmnidexEventStageType":{"enum":["single-elimination","swiss"],"type":"string"},"OmnidexEventStatus":{"enum":["canceled","canceled-reset","canceled-suspended","completable","complete","rsvp","started","starting"],"type":"string"},"OmnidexEventMatchConfig":{"enum":["bo1","bo3","bo5"],"type":"string"},"OmnidexEventType":{"enum":["single-elimination","swiss"],"type":"string"},"OmnidexEventFormat1v1":{"enum":["draft","standard"],"type":"string"}}}}
```

## Get players in an Omnidex event.

> This returns a list of players participating in the event.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/omnidex/events/{event_id}/players":{"get":{"operationId":"GetOmnidexEventPlayersAPISpec_get_/events/{event_id}/players","tags":["Omnidex"],"summary":"Get players in an Omnidex event.","description":"This returns a list of players participating in the event.","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The matching event's team.","content":{"application/json":{"schema":{"description":"The matching event's team.","type":"array","items":{"$ref":"#/components/schemas/OmnidexEventPlayer"}}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}},"components":{"schemas":{"OmnidexEventPlayer":{"type":"object","properties":{"country":{"type":"string"},"cp":{"type":"number"},"emblem":{"$ref":"#/components/schemas/OmnidexEventPlayerEmblem"},"id":{"type":"number"},"rank":{"type":"number"},"username":{"type":"string"}},"additionalProperties":false,"required":["country","cp","emblem","id","rank","username"]},"OmnidexEventPlayerEmblem":{"enum":["ascendant","bronze","demigod","diamond","gold","platinum","silver","unranked"],"type":"string"}}}}
```

## Get teams in an Omnidex event.

> This returns a list of teams participating in the event (if applicable).

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/omnidex/events/{event_id}/teams":{"get":{"operationId":"GetOmnidexEventTeamsAPISpec_get_/events/{event_id}/teams","tags":["Omnidex"],"summary":"Get teams in an Omnidex event.","description":"This returns a list of teams participating in the event (if applicable).","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The matching event's team.","content":{"application/json":{"schema":{"description":"The matching event's team.","type":"array","items":{"$ref":"#/components/schemas/OmnidexEventTeam"}}}}},"400":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}},"components":{"schemas":{"OmnidexEventTeam":{"type":"object","properties":{"name":{"type":"string"},"players":{"type":"array","items":{"$ref":"#/components/schemas/OmnidexEventTeamPlayer"}}},"additionalProperties":false,"required":["name","players"]},"OmnidexEventTeamPlayer":{"type":"object","properties":{"id":{"type":"number"},"slot":{"type":"number"}},"additionalProperties":false,"required":["id","slot"]}}}}
```

## Get judges in an Omnidex event.

> This returns a list of judges in the event.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/omnidex/events/{event_id}/judges":{"get":{"operationId":"GetOmnidexEventJudgesAPISpec_get_/events/{event_id}/judges","tags":["Omnidex"],"summary":"Get judges in an Omnidex event.","description":"This returns a list of judges in the event.","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The matching event's team.","content":{"application/json":{"schema":{"description":"The matching event's team.","type":"array","items":{"$ref":"#/components/schemas/OmnidexEventJudge"}}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}},"components":{"schemas":{"OmnidexEventJudge":{"additionalProperties":false,"type":"object","properties":{"country":{"type":"string"},"cp":{"type":"number"},"emblem":{"$ref":"#/components/schemas/OmnidexEventPlayerEmblem"},"id":{"type":"number"},"rank":{"type":"number"},"username":{"type":"string"},"judgeExperience":{"type":"number"},"judgeLevel":{"type":"number"}},"required":["country","cp","emblem","id","judgeExperience","judgeLevel","rank","username"]},"OmnidexEventPlayerEmblem":{"enum":["ascendant","bronze","demigod","diamond","gold","platinum","silver","unranked"],"type":"string"}}}}
```

## Get an Omnidex event's standings.

> This returns Swiss stage standings for the event.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/omnidex/events/{event_id}/standings":{"get":{"operationId":"GetOmnidexEventStandingsAPISpec_get_/events/{event_id}/standings","tags":["Omnidex"],"summary":"Get an Omnidex event's standings.","description":"This returns Swiss stage standings for the event.","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OmnidexEventStandings","description":"The matching event's team."}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}},"components":{"schemas":{"OmnidexEventStandings":{"type":"object","properties":{"id":{"type":"number"},"rounds":{"type":"object","properties":{"latest":{"type":"number"},"total":{"type":"number"}},"additionalProperties":false,"required":["latest","total"]},"standings":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/OmnidexEventStandingsPlayer"}},{"type":"array","items":{"$ref":"#/components/schemas/OmnidexEventStandingsTeam"}}]},"status":{"$ref":"#/components/schemas/OmnidexEventStageStatus"},"type":{"type":"string","enum":["swiss"]}},"additionalProperties":false,"required":["id","rounds","standings","status","type"]},"OmnidexEventStandingsPlayer":{"anyOf":[{"additionalProperties":false,"type":"object","properties":{"tiebreaker":{"type":"number"},"status":{"$ref":"#/components/schemas/OmnidexEventStandingsEntityStatus"},"statsByes":{"type":"number"},"statsDroppedRound":{"type":"number"},"statsDroppedStage":{"type":"number"},"statsGamesPlayed":{"type":"number"},"statsGamesWon":{"type":"number"},"statsLosses":{"type":"number"},"statsPercentGW":{"type":"number"},"statsPercentMW":{"type":"number"},"statsPercentOGW":{"type":"number"},"statsPercentOMW":{"type":"number"},"statsScore":{"type":"number"},"statsTies":{"type":"number"},"statsWins":{"type":"number"},"id":{"type":"number"},"team":{"type":"string"},"teamSlot":{"type":"number"}},"required":["id","statsByes","statsGamesPlayed","statsGamesWon","statsLosses","statsPercentGW","statsPercentMW","statsPercentOGW","statsPercentOMW","statsScore","statsTies","statsWins","status","team","teamSlot","tiebreaker"]},{"additionalProperties":false,"type":"object","properties":{"tiebreaker":{"type":"number"},"status":{"$ref":"#/components/schemas/OmnidexEventStandingsEntityStatus"},"statsByes":{"type":"number"},"statsDroppedRound":{"type":"number"},"statsDroppedStage":{"type":"number"},"statsGamesPlayed":{"type":"number"},"statsGamesWon":{"type":"number"},"statsLosses":{"type":"number"},"statsPercentGW":{"type":"number"},"statsPercentMW":{"type":"number"},"statsPercentOGW":{"type":"number"},"statsPercentOMW":{"type":"number"},"statsScore":{"type":"number"},"statsTies":{"type":"number"},"statsWins":{"type":"number"},"id":{"type":"number"}},"required":["id","statsByes","statsGamesPlayed","statsGamesWon","statsLosses","statsPercentGW","statsPercentMW","statsPercentOGW","statsPercentOMW","statsScore","statsTies","statsWins","status","tiebreaker"]}]},"OmnidexEventStandingsEntityStatus":{"enum":["active","awaiting-decklist","eliminated","winner"],"type":"string"},"OmnidexEventStandingsTeam":{"additionalProperties":false,"type":"object","properties":{"tiebreaker":{"type":"number"},"status":{"$ref":"#/components/schemas/OmnidexEventStandingsEntityStatus"},"statsByes":{"type":"number"},"statsDroppedRound":{"type":"number"},"statsDroppedStage":{"type":"number"},"statsGamesPlayed":{"type":"number"},"statsGamesWon":{"type":"number"},"statsLosses":{"type":"number"},"statsPercentGW":{"type":"number"},"statsPercentMW":{"type":"number"},"statsPercentOGW":{"type":"number"},"statsPercentOMW":{"type":"number"},"statsScore":{"type":"number"},"statsTies":{"type":"number"},"statsWins":{"type":"number"},"name":{"type":"string"}},"required":["name","statsByes","statsGamesPlayed","statsGamesWon","statsLosses","statsPercentGW","statsPercentMW","statsPercentOGW","statsPercentOMW","statsScore","statsTies","statsWins","status","tiebreaker"]},"OmnidexEventStageStatus":{"enum":["completable","complete","started","waiting"],"type":"string"}}}}
```

## Get an Omnidex event's pairings.

> This returns pairings for an event. By default it returns the latest stage and round.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/omnidex/events/{event_id}/pairings":{"get":{"operationId":"GetOmnidexEventSPairingsAPISpec_get_/events/{event_id}/pairings","tags":["Omnidex"],"summary":"Get an Omnidex event's pairings.","description":"This returns pairings for an event. By default it returns the latest stage and round.","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"number"}},{"description":"A round ID.","name":"round","in":"query","required":false,"schema":{"type":"number"}},{"description":"A stage ID.","name":"stage","in":"query","required":false,"schema":{"type":"number"}}],"responses":{"200":{"description":"The matching event's pairings.","content":{"application/json":{"schema":{"description":"The matching event's pairings.","type":"object","properties":{"pairings":{"type":"array","items":{"$ref":"#/components/schemas/OmnidexEventMatch"}},"round":{"$ref":"#/components/schemas/OmnidexEventRoundWithTimer"},"stage":{"$ref":"#/components/schemas/OmnidexEventStage"}},"additionalProperties":false,"required":["pairings","round","stage"]}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}},"components":{"schemas":{"OmnidexEventMatch":{"type":"object","properties":{"completedAt":{"type":"number"},"id":{"type":"number"},"label":{"type":"string"},"pairing":{"type":"array","items":{"$ref":"#/components/schemas/OmnidexEventMatchPairing"}},"status":{"$ref":"#/components/schemas/OmnidexEventMatchStatus"}},"additionalProperties":false,"required":["id","pairing","status"]},"OmnidexEventMatchPairing":{"type":"object","properties":{"dropped":{"type":"boolean"},"eloChange":{"type":"number"},"id":{"type":"number"},"score":{"type":"number"},"status":{"$ref":"#/components/schemas/OmnidexEventMatchPairingStatus"}},"additionalProperties":false,"required":["dropped","eloChange","id","score","status"]},"OmnidexEventMatchPairingStatus":{"enum":["byed","loser","tied","waiting","winner"],"type":"string"},"OmnidexEventMatchStatus":{"enum":["byed","complete","started","waiting"],"type":"string"},"OmnidexEventRoundWithTimer":{"additionalProperties":false,"type":"object","properties":{"id":{"type":"number"},"status":{"$ref":"#/components/schemas/OmnidexEventRoundStatus"},"total":{"type":"number"},"timer":{"$ref":"#/components/schemas/OmnidexEventRoundTimer"}},"required":["id","status","timer","total"]},"OmnidexEventRoundStatus":{"enum":["complete","started","waiting"],"type":"string"},"OmnidexEventRoundTimer":{"anyOf":[{"additionalProperties":false,"type":"object","properties":{"serverTime":{"type":"string"},"timerEnd":{"nullable":true},"timerPaused":{"nullable":true},"timerStart":{"nullable":true}},"required":["serverTime","timerEnd","timerPaused","timerStart"]},{"additionalProperties":false,"type":"object","properties":{"serverTime":{"type":"string"},"timerEnd":{"type":"string"},"timerPaused":{"nullable":true},"timerStart":{"type":"string"}},"required":["serverTime","timerEnd","timerPaused","timerStart"]},{"additionalProperties":false,"type":"object","properties":{"serverTime":{"type":"string"},"timerEnd":{"type":"string"},"timerPaused":{"type":"string"},"timerStart":{"type":"string"}},"required":["serverTime","timerEnd","timerPaused","timerStart"]}]},"OmnidexEventStage":{"type":"object","properties":{"id":{"type":"number"},"status":{"$ref":"#/components/schemas/OmnidexEventStageStatus"},"type":{"$ref":"#/components/schemas/OmnidexEventStageType"}},"additionalProperties":false,"required":["id","status","type"]},"OmnidexEventStageStatus":{"enum":["completable","complete","started","waiting"],"type":"string"},"OmnidexEventStageType":{"enum":["single-elimination","swiss"],"type":"string"}}}}
```

## Get an Omnidex event's decklists.

> This returns public decklist data for the event (if available).

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/omnidex/events/{event_id}/decklists":{"get":{"operationId":"GetOmnidexEventDecklistsAPISpec_get_/events/{event_id}/decklists","tags":["Omnidex"],"summary":"Get an Omnidex event's decklists.","description":"This returns public decklist data for the event (if available).","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The matching event's team.","content":{"application/json":{"schema":{"description":"The matching event's team.","type":"array","items":{"$ref":"#/components/schemas/OmnidexEventPlayerDecklist"}}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}},"components":{"schemas":{"OmnidexEventPlayerDecklist":{"type":"object","properties":{"decklist":{"$ref":"#/components/schemas/OmnidexEventDecklist"},"player":{"type":"number"},"visible":{"type":"boolean","enum":[true]}},"additionalProperties":false,"required":["decklist","player","visible"]},"OmnidexEventDecklist":{"type":"object","properties":{"main":{"type":"array","items":{"$ref":"#/components/schemas/OmnidexEventDecklistCard"}},"material":{"type":"array","items":{"$ref":"#/components/schemas/OmnidexEventDecklistCard"}},"sideboard":{"type":"array","items":{"$ref":"#/components/schemas/OmnidexEventDecklistCard"}}},"additionalProperties":false,"required":["main","material","sideboard"]},"OmnidexEventDecklistCard":{"type":"object","properties":{"card":{"type":"string"},"quantity":{"type":"number"}},"additionalProperties":false,"required":["card","quantity"]}}}}
```

## Get statistics for an Omnidex event.

> This returns public statistics data for an Omnidex event (if available).

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/omnidex/events/{event_id}/statistics":{"get":{"operationId":"GetOmnidexEventStatisticsAPISpec_get_/events/{event_id}/statistics","tags":["Omnidex"],"summary":"Get statistics for an Omnidex event.","description":"This returns public statistics data for an Omnidex event (if available).","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OmnidexEventStatistics","description":"The matching event's statistics."}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}},"components":{"schemas":{"OmnidexEventStatistics":{"anyOf":[{"additionalProperties":false,"type":"object","properties":{"decklistsAdvancedElementBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsBasicElementBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsChampionBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsStatsRevealed":{"type":"boolean","enum":[true]},"decklistsTopNAdvancedElementBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsTopNBasicElementBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsTopNChampionBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsTopNRound":{"type":"number"},"decklistsTopNStage":{"type":"number"},"decklistsTopNStatsRevealed":{"type":"boolean","enum":[true]},"decklistsTopNValue":{"type":"number"}},"required":["decklistsAdvancedElementBreakdown","decklistsBasicElementBreakdown","decklistsChampionBreakdown","decklistsStatsRevealed","decklistsTopNAdvancedElementBreakdown","decklistsTopNBasicElementBreakdown","decklistsTopNChampionBreakdown","decklistsTopNRound","decklistsTopNStage","decklistsTopNStatsRevealed","decklistsTopNValue"]},{"additionalProperties":false,"type":"object","properties":{"decklistsAdvancedElementBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsBasicElementBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsChampionBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsStatsRevealed":{"type":"boolean","enum":[true]},"decklistsTopNStatsRevealed":{"type":"boolean","enum":[false]}},"required":["decklistsAdvancedElementBreakdown","decklistsBasicElementBreakdown","decklistsChampionBreakdown","decklistsStatsRevealed","decklistsTopNStatsRevealed"]},{"additionalProperties":false,"type":"object","properties":{"decklistsStatsRevealed":{"type":"boolean","enum":[false]},"decklistsTopNAdvancedElementBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsTopNBasicElementBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsTopNChampionBreakdown":{"$ref":"#/components/schemas/OmnidexEventDecklistStatsNumericBreakdown"},"decklistsTopNRound":{"type":"number"},"decklistsTopNStage":{"type":"number"},"decklistsTopNStatsRevealed":{"type":"boolean","enum":[true]},"decklistsTopNValue":{"type":"number"}},"required":["decklistsStatsRevealed","decklistsTopNAdvancedElementBreakdown","decklistsTopNBasicElementBreakdown","decklistsTopNChampionBreakdown","decklistsTopNRound","decklistsTopNStage","decklistsTopNStatsRevealed","decklistsTopNValue"]},{"additionalProperties":false,"type":"object","properties":{"decklistsStatsRevealed":{"type":"boolean","enum":[false]},"decklistsTopNStatsRevealed":{"type":"boolean","enum":[false]}},"required":["decklistsStatsRevealed","decklistsTopNStatsRevealed"]}]},"OmnidexEventDecklistStatsNumericBreakdown":{"additionalProperties":false,"type":"object","properties":{"total":{"type":"number"}},"required":["total"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.gatcg.com/endpoints/omnidex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
